Update Cell
curl --request PATCH \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/{cell_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"display_value": "<string>",
"value": "<unknown>"
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/{cell_id}"
payload = {
"display_value": "<string>",
"value": "<unknown>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_value: '<string>', value: '<unknown>'})
};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/{cell_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"cell": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_index": 123,
"display_value": "<string>",
"value": "<unknown>",
"error": "<string>",
"input_hash": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"request_metrics": {
"request_count": 123,
"request_ids": [
123
],
"latency_ms": 123,
"price": 123,
"input_tokens": 123,
"output_tokens": 123,
"trace_ids": [
"<string>"
]
},
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_computed_version": 123,
"error_message": "<string>"
},
"version": 123,
"stale_count": 123
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Tables
Update Cell
Edit the value of a text column cell. Only cells in text type columns can be edited directly; computed cells are recalculated automatically. Requests are scoped to the workspace associated with the API key; table, sheet, column, cell, operation, and version IDs must belong to that workspace.
PATCH
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
cells
/
{cell_id}
Update Cell
Edit the value of a text column cell. Only cells in
text type columns can be edited directly — non-text column cells are computed automatically.
Editing a cell marks downstream dependent cells as stale.
Editing a cell creates a new sheet version. The response returns version, and cells include last_computed_version when they were produced by computation.Authorizations
Path Parameters
Body
application/json
Response
Cell updated
A single cell at the intersection of a column and a row.
Show child attributes
Show child attributes
Current sheet version_count for this response. It matches the sheet's version_count after any committed changes.
Number of downstream cells marked stale due to this edit.
Was this page helpful?
⌘I

